---
names: 
  full: "Google Logging Log Sink for All Log Entries is not configured"
  contextual: "Log Sink for All Log Entries is not configured"
description: "It is recommended to create a sink that will export copies of all the log entries. This can \
 help aggregate logs from multiple projects and export them to a Security Information and Event Management (SIEM)."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/02/02
  - /frameworks/cloudaware/logging-and-monitoring/logging-and-monitoring-configuration
  - /frameworks/nist-sp-800-53-r5/au/12
  - /frameworks/nist-sp-800-53-r5/au/02
  - /frameworks/nist-sp-800-53-r5/au/07
  - /frameworks/pci-dss-v4.0/10/02/01
  - /frameworks/pci-dss-v4.0/10/02/01/01
  - /frameworks/pci-dss-v4.0/10/02/01/02
  - /frameworks/pci-dss-v4.0/10/02/01/03
  - /frameworks/pci-dss-v4.0/10/02/01/04
  - /frameworks/pci-dss-v4.0/10/02/01/05
  - /frameworks/pci-dss-v4.0/10/02/01/06
  - /frameworks/pci-dss-v4.0/10/02/01/07
  - /frameworks/pci-dss-v4.0/10/02/02
  - /frameworks/pci-dss-v4.0/05/03/04
  - /frameworks/pci-dss-v4.0/06/04/01
  - /frameworks/pci-dss-v4.0/06/04/02
  - /frameworks/iso-iec-27001-2013/18/01/03
  - /frameworks/iso-iec-27001-2022/08/15
  - /frameworks/iso-iec-27001-2022/08/20
  - /frameworks/nist-csf-v1.1/de-ae/03
  - /frameworks/nist-csf-v1.1/pr-pt/01
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudLogging/export-all-log-entries.html"
      name: "Export All Log Entries Using Sinks"
